Info<< "Reading field fi\n" << endl;

fvMesh mesh_fi
(
    Foam::IOobject
    (
        Foam::fvMesh::defaultRegion,
        runTime.timeName(),
        runTime,
        Foam::IOobject::MUST_READ,
		Foam::IOobject::NO_WRITE
    )
);

volScalarField fi1
(
    IOobject
    (
        "fi1",
        runTime.timeName(),
        mesh_fi,
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    ),
    mesh_fi
);
fi1=fi1*1e4;

volScalarField fi2
(
    IOobject
    (
        "fi2",
        runTime.timeName(),
        mesh_fi,
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    ),
    mesh_fi
);
fi2=fi2*1e4;

volScalarField psi1
(
    IOobject
    (
        "psi1",
        runTime.timeName(),
        mesh_fi,
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    ),
    mesh_fi
);
psi1=psi1*1e4;


volScalarField psi2
(
    IOobject
    (
        "psi2",
        runTime.timeName(),
        mesh_fi,
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    ),
    mesh_fi
);
psi2=psi2*1e4;


Info<< "Reading transportProperties\n" << endl;

volScalarField DD1
(
     IOobject
         (
	   "DD1",
          runTime.timeName(),
          mesh_fi,
	      IOobject::MUST_READ,
           IOobject::NO_WRITE
	 ),
	     mesh_fi
		 
);
DD1=0.01*DD1;

volScalarField DD2
(
     IOobject
         (
	   "DD2",
	   runTime.timeName(),
	   mesh_fi,
	   IOobject::MUST_READ,
	   IOobject::NO_WRITE		
	 ),
	 mesh_fi
	 );
DD2=0.01*DD2;

volScalarField dDD1
(
     IOobject
         (
	   "dDD1",
          runTime.timeName(),
          mesh_fi,
	      IOobject::MUST_READ,
           IOobject::NO_WRITE
	 ),
	     mesh_fi
		 
);
dDD1=0.01*dDD1;

volScalarField dDD2
(
     IOobject
         (
	   "dDD2",
	   runTime.timeName(),
	   mesh_fi,
	   IOobject::MUST_READ,
	   IOobject::NO_WRITE		
	 ),
	 mesh_fi
	 );
dDD2=0.01*dDD2;

volScalarField sa1
(
     IOobject
         (
	   "sa1",
	   runTime.timeName(),
	   mesh_fi,
	   IOobject::MUST_READ,
	   IOobject::NO_WRITE
	 ),
	     mesh_fi
);
sa1=100*sa1;

volScalarField sa2
(
     IOobject
         (
	   "sa2",
	   runTime.timeName(),
	   mesh_fi,
	   IOobject::MUST_READ,
	   IOobject::NO_WRITE
	 ),
	 mesh_fi
);
sa2=100*sa2;


volScalarField nisf1
(
     IOobject
         (
	    "nisf1",
	    runTime.timeName(),
	    mesh_fi,
	    IOobject::MUST_READ,
	    IOobject::NO_WRITE
	 ),
	     mesh_fi
);
nisf1=100*nisf1;
 
volScalarField nisf2
(
     IOobject
         (
	    "nisf2",
	    runTime.timeName(),
	    mesh_fi,
	    IOobject::MUST_READ,
	    IOobject::NO_WRITE
	 ),
	     mesh_fi
);
nisf2=100*nisf2;

volScalarField ds1
(
     IOobject
         (
	   "ds1",
        runTime.timeName(),
	    mesh_fi,
	    IOobject::MUST_READ,
        IOobject::NO_WRITE
	  ),
	     mesh_fi
);
ds1=100*ds1;

volScalarField ds2
(
     IOobject
         (
	   "ds2",
        runTime.timeName(),
	    mesh_fi,
	    IOobject::MUST_READ,
        IOobject::NO_WRITE
	  ),
	     mesh_fi
);
ds2=100*ds2;

volScalarField ss12
(
     IOobject
         (
	   "ss12",
        runTime.timeName(),
	    mesh_fi,
	    IOobject::MUST_READ,
        IOobject::NO_WRITE
	  ),
	     mesh_fi
);
ss12=100*ss12;

volScalarField ds12
(
     IOobject
         (
	   "ds12",
	   runTime.timeName(),
	    mesh_fi,
	    IOobject::MUST_READ,
        IOobject::NO_WRITE
	  ),
	     mesh_fi
 );
ds12=100*ds12;
string wow;

volScalarField qq1
(
 IOobject 
  (
   "qq1",
   runTime.timeName(),
   "/Dummy",
   mesh_fi,
   IOobject::MUST_READ,
   IOobject::NO_WRITE
  ),
  mesh_fi
  );
  qq1=qq1*1e4;
  
  
  volScalarField qq2
(
 IOobject 
  (
   "qq2",
   runTime.timeName(),
    "/Dummy",
   mesh_fi,
   IOobject::MUST_READ,
   IOobject::NO_WRITE
  ),
  mesh_fi
  );
 qq2=qq2*1e4; 
  
volScalarField qq_psi_1
(
 IOobject 
  (
   "qq_psi_1",
   runTime.timeName(),
    "/Dummy",
   mesh_fi,
   IOobject::MUST_READ,
   IOobject::NO_WRITE
  ),
  mesh_fi
  );
  qq_psi_1=qq_psi_1*1e4;
  
  
  volScalarField qq_psi_2
(
 IOobject 
  (
   "qq_psi_2",
   runTime.timeName(),
    "/Dummy",
   mesh_fi,
   IOobject::MUST_READ,
   IOobject::NO_WRITE
  ),
  mesh_fi
  ); 
  qq_psi_2=qq_psi_2*1e4;
  
  
   volScalarField one
(
 IOobject 
  (
   "one",
   runTime.timeName(),
    "/Dummy",
   mesh_fi,
   IOobject::MUST_READ,
   IOobject::NO_WRITE
  ),
  mesh_fi
  ); 
  
  
  volScalarField dnisf1
(
     IOobject
         (
	    "dnisf1",
	    runTime.timeName(),
	    mesh_fi,
	    IOobject::MUST_READ,
	    IOobject::NO_WRITE
	 ),
	     mesh_fi		
);
 dnisf1=100*dnisf1;
 
 volScalarField dnisf2
(
     IOobject
         (
	    "dnisf2",
	    runTime.timeName(),
	    mesh_fi,
	    IOobject::MUST_READ,
	    IOobject::NO_WRITE
	 ),
	     mesh_fi		 
);
dnisf2=100*dnisf2;

